(* alphaProlog *)
(* Evaluation: functions at base types *)
(* Just now, only checks that term is ground. *)

open Internal;;
open Subst;;

let rec eval do_app subst t = 
  let h = eval do_app subst in
  match t with
    App(c,es) -> do_app c (List.map h es)
  | Name(a) -> Name(a)
  | Abs(a,t) -> Abs(a, h t)
  | Susp(p,b,v) -> 
      match lookup subst v with
	None -> Util.impos "tried to evaluate a non-ground term"
      | Some t' -> h t'
;;
