(* Alpha Prolog *)
(* Utilities: exceptions and debugging *)
exception NYI;;
exception Error of string;;
exception Impos of string;;

val nyi   : unit -> 'a;;
val error : string -> 'a
val impos : string -> 'a
val do_trace : int -> (unit -> unit) -> unit

val nl : unit -> unit;;

val split : (char -> bool) -> string -> string list;;
